# Don't provide library %%{python(3)_sitearch}/%%{name}/moduleFilterer.so
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so
%global __requires_exclude dask

%global upname scikit-image

Name:           python-scikit-image
Version:        0.16.2
Release:        %mkrel 2
Summary:        Image processing in Python
# The following files are BSD 2 clauses, the rest BSD 3 clauses
# skimage/graph/_mcp.pyx
# skimage/graph/heap.pyx
License:        BSD
Group:          Development/Python
URL:            http://scikit-image.org/
Source0:        https://pypi.io/packages/source/s/scikit-image/scikit-image-%{version}.tar.gz
Patch0:         python-scikit-image-0.15.0-linking.patch
BuildRequires:  libgomp-devel

%description
The scikit-image SciKit (toolkit for SciPy) extends scipy.ndimage to provide a
versatile set of image processing routines.

%package -n python3-%{upname}
Summary:        Image processing in Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-cython
BuildRequires:  python3-scipy
BuildRequires:  python3-matplotlib
BuildRequires:  python3-nose
BuildRequires:  python3-pillow
BuildRequires:  python3-six >= 1.3
%{?python_provide:%python_provide python3-%{upname}}

Requires:       python3-scipy
Requires:       python3-six >= 1.3
Requires:       python3-matplotlib-qt5
Recommends:     %{upname}-tools

%description -n python3-%{upname}
The scikit-image SciKit (toolkit for SciPy) extends scipy.ndimage to provide a
versatile set of image processing routines.

%package -n %{upname}-tools
Summary:        Scikit-image utility tools
BuildArch:      noarch
Requires:       python3-%{upname} >= %{version}-%{release}

%description -n %{upname}-tools
Utilities provided by scikit-image: 'skivi'.

%prep
%autosetup -n %{upname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{upname}
%doc CONTRIBUTORS.txt LICENSE.txt RELEASE.txt TODO.txt
%{python3_sitearch}/skimage
%{python3_sitearch}/scikit_image-*.egg-info

%files -n %{upname}-tools
%{_bindir}/skivi


%changelog
* Mon Feb 17 2020 umeabot <umeabot> 0.16.2-2.mga8
+ Revision: 1537179
- Mageia 8 Mass Rebuild

* Sun Oct 27 2019 daviddavid <daviddavid> 0.16.2-1.mga8
+ Revision: 1456003
- new version: 0.16.2

* Sun Sep 29 2019 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1447992
- new version: 0.15.0
- rebuild for python3.8
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 0.14.1-2.mga7
+ Revision: 1355272
- rebuild for python 3.7

* Thu Jan 10 2019 shlomif <shlomif> 0.14.1-1.mga7
+ Revision: 1354350
- New version
+ daviddavid <daviddavid>
- rebuild for new Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.11.3-4.mga7
+ Revision: 1300590
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.11.3-3.mga7
+ Revision: 1135619
- Rebuild for python 3.6

* Fri Feb 05 2016 umeabot <umeabot> 0.11.3-2.mga6
+ Revision: 937387
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 daviddavid <daviddavid> 0.11.3-1.mga6
+ Revision: 900934
- add BuildRequires python(3)-numpy-devel
- do not provide library for python3
- use new python macros
+ tv <tv>
- new release

* Sat Oct 10 2015 tv <tv> 0.10.1-3.mga6
+ Revision: 888992
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-2.mga5
+ Revision: 749399
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 dglent <dglent> 0.10.1-1.mga5
+ Revision: 730975
- imported package python-scikit-image

